// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scene/SceneItemComponent.hpp"
#include "display/animation/Animation.hpp"

namespace Dawn {
  class AnimationController : public SceneItemComponent {
    private:
      void onSceneUpdate();

    public:
      Animation *animation = nullptr;

      AnimationController(SceneItem *item);

      void onStart() override;

      ~AnimationController();
  };
}