// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "dawnlibs.hpp"

namespace Dawn {
  struct Color {
    float_t r, g, b, a;
  };

  #define COLOR_WHITE { 1, 1, 1, 1 }
  #define COLOR_RED { 1, 0, 0, 1 }
  #define COLOR_GREEN { 0, 255, 0, 1 }
  #define COLOR_BLUE { 0, 0, 255, 1 }
  #define COLOR_BLACK { 0, 0, 0, 1 }
  #define COLOR_MAGENTA { 1, 0, 1, 1 }
  #define COLOR_CORNFLOWER_BLUE { 0.39215686274f, 0.58431372549f, 0.9294117647f, 1.0f }
  #define COLOR_WHITE_TRANSPARENT { 1, 1, 1, 0 }
  #define COLOR_BLACK_TRANSPARENT { 0, 0, 0, 0 }
  #define COLOR_TRANSPARENT COLOR_BLACK_TRANSPARENT
}